openSUSE Linux naujienos, pagalba

AMDGPU-PRO prieinamas openSUSE Leap sistemoms
Šeštadienis, 17 Birželis 2017 15:31

Nors AMDGPU-PRO tvarkyklės dar nebuvo prieinamos openSUSE sistemoms pasirodant Leap 42.2 versijai, jos tapo prieinamos vėliau. AMDGPU-PRO tvarkyklės palaiko AMD HD 7000/8000 serijų, Radeon R5/R7/R9/RX, Radeon Pro ir naujesnes vaizdo plokštes, t. y. pasirodžiusias maždaug nuo 2012 metų. Nors kol kas šios tvarkyklės nėra prieinamos nuotolinės saugyklos pavidalu, tvarkykles supakuotos RPM paketų saugyklos pavidalu galite parsisiųsti iš http://support.amd.com/en-us/kb-articles/Pages/AMDGPU-PRO-Driver-for-Linux-Release-Notes.aspx puslapio. Kadangi openSUSE Leap 42.2 pagrindas atitinka SUSE Linux Enterprise 12 SP2, ieškokite nuorodų su „SLED/SLES 12 SP2​“. Šiai dienai (2017-06-17) siūloma parsiųsti „AMDGPU-Pro Driver Version 17.10 for SLED/SLES 12 SP2​“. Parsisiuntę TAR.XZ archyvą toliau galite vadovautis http://support.amd.com/en-us/kb-articles/Pages/How-To-Install-Uninstall-AMDGPU-PRO-driver-on-a-SLED-SLES-12-SP-2-Based-System.aspx pateiktomis komandinės eilutės instrukcijomis arba galite viską atlikti grafinėje aplinkoje:

  • išpakuokite archyvą bet kurioje savo kompiuterio vietoje (tarkim, /tmp kataloge);
  • prisidėkite kaip vietinę saugyklą
    • eidami per YaST → (Programinė įranga) → Saugyklos;
    • spausdami „Pridėti“;
    • pasirinkdami „vietinio katalogo“ saugyklos tipą;
    • kitame lange nurodydami kelią iki saugyklos (pvz. „/tmp/amdgpu-pro-17.10-429170“) bei pavadinimą (pvz., „AMD“), parinktis „RPM pilnas katalogas“ turi likti nepažymėta (ji skirta katalogams, kuriuose sudėti paskiri RPM paketai);
    • užverdami saugyklų tvarkytuvę patvirtindami pakeitimus;
  • eikite YaST → (Programinė įranga) → Programinės įrangos tvarkytuvė;
  • susiraskite ir įsidiegti amdgpu-pro paketą.
  • jei matote pranešimą, kad trūksta dkms paketo, pridėkite Packman saugyklą arba ieškokite dkms paketo per http://software.opensuse.org/package/dkms .

Beje, senesnėms openSUSE versijoms (iki openSUSE Leap 42.1 imtinai) buvo prieinamos senesnės kartos nuosavybinės AMD fglrx/Catalyst tvarkyklės, tačiau jų nebepalaiko pati AMD; šios senos AMD fglrx/Catalyst tvarkyklės tiko AMD/ATi Radeon HD 5000 ir naujesnėms vaizdo plokštėms, t. y. pasirodžiusioms maždaug nuo 2009 metų.

Nors senesnėms vaizdo plokštėms jų gamintojai nebeteikia tvarkyklių, Linukso branduolys turėtų gerai jas palaikyti netgi nediegiant nieko papildomai (radeon tvarkyklė iš standartinio xf86-video-ati paketo turėtų būti naudojama automatiškai).

Dalintis:

Digg    reddit    Facebook